Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://api.alguna.io/invoices \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "billing_period": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "USD",
      "customer_id": "<string>",
      "description": "<string>",
      "id": "<string>",
      "status": "draft",
      "total": "110.00",
      "updated_at": "2023-11-07T05:31:56Z",
      "billing_period_end": "2023-11-07T05:31:56Z",
      "billing_period_start": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "per_page": 20,
    "total_pages": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

autopay
boolean

Filter by autopay flag

customer_id
string

Filter by customer ID

Example:

"cust_abc123"

due_date_gte
string<date-time>

Due date lower bound (inclusive)

Example:

"2026-01-01T00:00:00Z"

due_date_lte
string<date-time>

Due date upper bound (inclusive)

Example:

"2026-12-31T00:00:00Z"

external_reference
string

Filter by external reference

invoicing_date_gte
string<date-time>

Invoicing date lower bound (inclusive)

Example:

"2026-01-01T00:00:00Z"

invoicing_date_lte
string<date-time>

Invoicing date upper bound (inclusive)

Example:

"2026-12-31T00:00:00Z"

issue_date_gte
string<date-time>

Issue date lower bound (inclusive)

Example:

"2026-01-01T00:00:00Z"

issue_date_lte
string<date-time>

Issue date upper bound (inclusive)

Example:

"2026-12-31T00:00:00Z"

limit
integer<int64>
required

Number of items to return per page

Example:

20

offset
integer<int64>
required

Number of items to skip

Example:

0

paid_date_gte
string<date-time>

Paid date lower bound (inclusive)

Example:

"2026-01-01T00:00:00Z"

paid_date_lte
string<date-time>

Paid date upper bound (inclusive)

Example:

"2026-12-31T00:00:00Z"

reference
string

Filter by invoice reference number

Example:

"INV-0001"

sort
string
required

Sort field and direction in format field:order

Example:

"issue_date:desc"

status
enum<string>[]

Filter by invoice status. Pass a comma-separated list to match any.

Available options:
draft,
upcoming,
pending_approval,
scheduled,
processing,
issuing,
issued,
void,
paid,
canceled,
overdue
Example:

"issued"

subscription_id
string

Filter by subscription ID

Example:

"sub_abc123"

tag_ids
string[]

Filter by tag IDs (comma-separated to match any)

Example:

"tag_abc123"

Response

Success

data
object[]
required

List of invoices

pagination
object
required

Pagination metadata